LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::text::FilenameDisplayFormat Constant Group Referencepublished

These constants are used to specify which parts of an URL are displayed in a field. More...

## Variables
const short | FULL = 0
| The content of the URL is completely displayed. More...
const short | PATH = 1
| Only the path of the file is displayed. More...
const short | NAME = 2
| Only the name of the file without the file extension is displayed. More...
const short | NAME_AND_EXT = 3
| The file name including the file extension is displayed. More...

## Detailed Description

These constants are used to specify which parts of an URL are displayed in a field.

## Variable Documentation

## ◆ FULL

const short FULL = 0

The content of the URL is completely displayed.

## ◆ NAME

const short NAME = 2

Only the name of the file without the file extension is displayed.

## ◆ NAME_AND_EXT

const short NAME_AND_EXT = 3

The file name including the file extension is displayed.

## ◆ PATH

const short PATH = 1

Only the path of the file is displayed.